Helpful

MPS 9.1. SP 11 Crash with New Version of Google Maps

Comments: 3 - Last Comment by Chip Patton on Sep 14, 2017   Comment Filter:
Posted on Sep 12, 2017
 
 

We are having an issue with Google Maps in MPS. Google Maps is currently working with i/Dispatcher 9.1 SP 11. When routing is done in MPS Google Maps crashes and has to be reloaded. Please let me know if anyone has resolved this issue. It is believed that emulating IE environments is causing this issue.

Please assist.

GMapScriptError.jpg
YOUR USE OF DOWNLOADED MATERIALS PROVIDED THROUGH THIS SITE IS ENTIRELY AT YOUR OWN RISK.
See the Disclaimers section in Terms of Use.
Point your RSS reader here for a feed of the latest messages in this topic
RE: MPS 9.1. SP 11 Crash with New Version of Google Maps
Posted on Sep 12, 2017 in response to: pnbelone
 
   
 

We are seeing that poly.js script error in Development on MPS 9.1.1 SP12 as well. Apparently Google changed something that broke us. poly.js is a Google file, not ours. MPS routes still work in later versions (9.4, at least). I don't see any useful details yet at https://developers.google.com/maps/documentation/javascript/versions​. Feel free to file an issue with Support.

RE: MPS 9.1. SP 11 Crash with New Version of Google Maps
Posted on Sep 14, 2017 in response to: Chip Patton
 
   
 

So far Google Maps still functions in MPS for later releases: 9.3 MR1 and beyond, but has this poly.js issue in all 9.2 and prior versions. Those early versions use IE 7 compatibility, the later IE9, but the google web site https://developers.google.com/maps/documentation/javascript/browsersupport says only IE 10 and IE 11 are supported at this point. We'll have to look at moving our compatibility forward for the GMap. 

RE: MPS 9.1. SP 11 Crash with New Version of Google Maps
Posted on Sep 14, 2017 in response to: Chip Patton
 
   
 

Please file an SR/CR, we will likely patch this for 9.1.1 SP12. (The same fix works for 9.2 MR6).

I found 3 changes to GMap.htm that allow Google Maps to function again, it still has a warning popup from Google but so far that does not seem to cause any failures. The changes are in the attached GMap911SP12mod.htm, as well as the base file that I worked against.

 

GMap911SP12.zip

Add a Comment

Please sign in on the right menu to comment.  If you do not have an account, please Join now.